Subject: Re: bug#45858: 28.0.50; [native-comp] compilation very slow

From: Óscar Fuentes <[email-masked]>
Date: Sun, 31 Jan 2021 03:54:54 +0100

Andrea Corallo <[email-masked]> writes:

> This is behaviour is unexpected, but is kind of hard if not impossible
> to guess the issue from here.
>
> I guess both Emacs and and libgccjit are not debug build correct?

The build was performed with

../emacs/configure --without-toolkit-scroll-bars --with-x-toolkit=lucid --with-modules --without-imagemagick --with-nativecomp && make -j8

libgccjit was installed from Debian's package (gcc 10.2.1-6):

lrwxrwxrwx 1 root root       40 ene 10 12:35 /usr/lib/gcc/x86_64-linux-gnu/10/libgccjit.so -> ../../../x86_64-linux-gnu/libgccjit.so.0
lrwxrwxrwx 1 root root       18 ene 10 12:35 /usr/lib/x86_64-linux-gnu/libgccjit.so.0 -> libgccjit.so.0.0.1
-rw-r--r-- 1 root root 26103760 ene 10 12:35 /usr/lib/x86_64-linux-gnu/libgccjit.so.0.0.1

Even supposing that libgccjit was built by mistake on debug mode, I
guess that it would not take so much time to compile an .eln.

I'll try building gccemacs from a pristine checkout on a few days. Let's
see if the problem persists.